
QGIS Application - Bug report #15708

qgis master error during cmake configure

2016-10-14 06:35 AM - Rashad Kanavath

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: linux x86_64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 23631

Description

-- QGIS version: 2.99.0 Master (29900)

-- Could not find GRASS 6

-- Could not find GRASS 7

-- Found Proj: /usr/lib/libproj.so

-- Found GEOS: /usr/lib/libgeos_c.so (3.4.2)

-- Found GDAL: /home/rkanavath/local/gdal/trunk/lib/libgdal.so (2.2.0dev)

-- Found Expat: /usr/lib/x86_64-linux-gnu/libexpat.so

-- Found Spatialindex: /usr/lib/x86_64-linux-gnu/libspatialindex.so

-- Found Qwt: /usr/lib/libqwt-qt4.so (5.2.3)

-- Found Sqlite3: /usr/lib/x86_64-linux-gnu/libsqlite3.so

-- Found PostgreSQL: /usr/lib/x86_64-linux-gnu/libpq.so

-- Found SpatiaLite: /usr/lib/x86_64-linux-gnu/libspatialite.so

-- Qt WebKit support DISABLED.

-- Found Qt version: 5.3.2

-- Touch support disabled

-- Found QScintilla2: /usr/lib/libqscintilla2.so (2.9.3)

-- Found QCA: /usr/lib/x86_64-linux-gnu/libqca.so (2.0.3)

-- QtCore/QCA include/lib variables missing or CMake is cross-compiling,

--   skipping QCA OpenSSL plugin C++ check

-- Pedantic compiler settings enabled

-- Found Python executable: /usr/bin/python3

-- Found Python version: 3.4.2

-- Found Python library: /usr/lib/x86_64-linux-gnu/libpython3.4m.so

-- Found PyQt5 version: 5.3.2

-- Found SIP version: 4.16.4

-- Found QScintilla2 PyQt module: 2.8.4

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/providers/virtual/CMakeLists.txt:5 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):
  src/app/CMakeLists.txt:472 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/app/CMakeLists.txt:476 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/helpviewer/CMakeLists.txt:51 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/browser/CMakeLists.txt:52 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/interpolation/CMakeLists.txt:34 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/oracle_raster/CMakeLists.txt:31 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/raster_terrain_analysis/CMakeLists.txt:26 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):
COPY_ONLY

Call Stack (most recent call first):

  src/plugins/coordinate_capture/CMakeLists.txt:26 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/dxf2shp_converter/CMakeLists.txt:29 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/evis/CMakeLists.txt:47 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/spatialquery/CMakeLists.txt:30 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/roadgraph/CMakeLists.txt:45 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/zonal_statistics/CMakeLists.txt:27 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

FindGSL.cmake: gsl-config not found. Please set it manually. GSL_CONFIG=GSL_CONFIG-NOTFOUND

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/gps_importer/CMakeLists.txt:33 (QT5_ADD_RESOURCES)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/topology/CMakeLists.txt:36 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/offline_editing/CMakeLists.txt:31 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/heatmap/CMakeLists.txt:26 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/geometry_checker/CMakeLists.txt:82 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  src/plugins/geometry_snapper/CMakeLists.txt:38 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

-- txt2tags not found - disabled

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):

  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  cmake/modules/ECMQt4To5Porting.cmake:243 (qt5_add_resources)

  images/CMakeLists.txt:9 (QT4_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/lib/x86_64-linux-gnu/cmake/Qt5Core/Qt5CoreMacros.cmake:224 (configure_file):
  configure_file called with unknown argument(s):

COPY_ONLY

Call Stack (most recent call first):

  tests/src/gui/CMakeLists.txt:92 (QT5_ADD_RESOURCES)

This warning is for project developers.  Use -Wno-dev to suppress it.

-- Ctest Binary Directory set to: /home/rkanavath/projects/qgis/build/output/bin

-- Configuring done

-- Generating done

-- Build files have been written to: /home/rkanavath/projects/qgis/build

History

#1 - 2016-10-20 12:15 PM - Johannes Kroeger

Those are just warnings, not errors. Does the further compilation process finish successfully?

#2 - 2016-12-07 05:41 AM - Matthias Kuhn

- Status changed from Open to Feedback

#3 - 2016-12-07 06:36 AM - Rashad Kanavath

yes. I had build errors. qgis master uses qt5 and I have to run a fresh build with option -DWITH_WEBKIT=OFF. If I run simply run cmake and then try to

deactivate WEBKIT, it is still throwing error.

I also got a compile error in qgisgui.cpp below change works for me.

diff --git a/src/gui/qgisgui.cpp b/src/gui/qgisgui.cpp

index 51ff7b3..56339a8 100644

--- a/src/gui/qgisgui.cpp

+++ b/src/gui/qgisgui.cpp

@@ -156,8 +156,11 @@ namespace QgisGui

     {

       outputFileName = fileDialog->selectedFiles().first();

     }

-     selectedFilter = fileDialog->selectedFilter();

+     selectedFilter = fileDialog->selectedNameFilter();

     QgsDebugMsg( "Selected filter: " + selectedFilter );

     ext = filterMap.value( selectedFilter, QString::null );

Here is last commit on my local tree

commit 51a56573c5cf45970baaead83640190af2040c1a

Merge: be6672d a6a09d9

Author: Alexander Bruy <alexander.bruy@gmail.com>

Date:   Thu Nov 10 11:45:56 2016 +0200

    Merge pull request #3727 from arnaud-morvan/processing_ogr2ogr_defaults

2025-04-27 5/6



    [processing] fix Ogr2OgrToPostGisList algorithm

#4 - 2017-01-03 07:03 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

When having such problems please raise your question in the developers mailing list. There are a lot of devs compiling QGIS master on daily basis, if

something is wrong this is spotted very quickly. Problems are then usually local issues.
